Skip to main content
POST
/
orgs
/
{org_id}
/
k2
/
{kb_id}
/
backups
cURL
curl --request POST \
  --url https://api.timbal.ai/orgs/{org_id}/k2/{kb_id}/backups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dry_run": true
}
'
{
  "dry_run": true,
  "id": "<string>",
  "kb_id": "<string>",
  "started_at": "2023-11-07T05:31:56Z",
  "status": "<string>",
  "triggered_by": "<string>",
  "bytes_uploaded": 123,
  "completed_at": "2023-11-07T05:31:56Z",
  "error": "<string>",
  "expires_at": "2023-11-07T05:31:56Z"
}
On-demand backup of a knowledge base.

Authorizations

Authorization
string
header
required

Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.

Path Parameters

org_id
string
required
kb_id
string
required

Body

application/json
dry_run
boolean

Response

201 - application/json

Backup created

dry_run
boolean
required
id
string
required
kb_id
string
required
started_at
string<date-time>
required
status
string
required
triggered_by
string
required
bytes_uploaded
integer<int64> | null
completed_at
string<date-time> | null
error
string | null
expires_at
string<date-time> | null